import numpy as np
from sklearn.neural_network import MLPRegressor
from sklearn.model_selection import train_test_split
import matplotlib.pyplot as plt

A = np.genfromtxt( "datos.txt" ) 
X_entrena, X_prueba, y_entrena, y_prueba = train_test_split( A[:,0], A[:,1], random_state=21 )
print( X_entrena.shape )
print( y_entrena.shape )

red = MLPRegressor(hidden_layer_sizes=(100,100,12,), activation='tanh', random_state=10 )
red.fit( X_entrena.reshape(-1,1), y_entrena.reshape(-1,1) )

y_pred = red.predict( X_prueba.reshape(-1,1) )
print( y_pred.shape )

r = red.score( X_prueba.reshape(-1,1), y_prueba.reshape(-1,1) )

print( r )

fig, ax = plt.subplots( )

ax.plot( A[:,0], A[:,1] )
ax.scatter( X_prueba.reshape(-1,1), y_pred.reshape(-1,1) )

plt.show( )


